README
======

This archive contains the training dataset annotations used in [5].

- eball.tsv: Annotations for the Extended Ballroom dataset [1] *without* tracks
  that also occur in the original Ballroom dataset [2]
- lmd-tempo.tsv: Tempo annotations for a subset of previews from the LMD [3]
- giantsteps-mtg-tempo.tsv: Tempo annotations for a subset of tracks contained
  in GiantSteps-MTG-Key [4]

All three files are plain-text tab-separated-value files and should be easily
parsable. The used format is `ID\tBPM\tKEY\tGENRE\n`.
Note that BPM values may be decimals and genre may be `unknown`.


### References

1. Ugo Marchand and Geoffroy Peeters. The extended ballroom dataset. In Late
Breaking Demo of the International Conference on Music Information Retrieval
(ISMIR), New York, NY, USA, 2016.
([original dataset](http://anasynth.ircam.fr/home/media/ExtendedBallroom/))
2. Fabien Gouyon, Anssi P. Klapuri, Simon Dixon, Miguel Alonso, George
Tzanetakis, Christian Uhle, and Pedro Cano. An experimental comparison of
audio tempo induction algorithms. IEEE Transactions on Audio, Speech, and
Language Processing, 14(5):1832–1844, 2006.
3. Colin Raffel. Learning-Based Methods for Comparing Sequences, with
Applications to Audio-to-MIDI Alignment and Matching. PhD thesis, Columbia
University, 2016.
([original dataset](http://colinraffel.com/projects/lmd/))
4. Ángel Faraldo, Sergi Jordà, and Perfecto Herrera. A multi-profile method for
key estimation in EDM. In Proceedings of the AES International Conference on
Semantic Audio, Erlangen, Germany, June 2017. Audio Engineering Society.
([original dataset](https://github.com/GiantSteps/giantsteps-mtg-key-dataset))
5. Hendrik Schreiber, Meinard Müller. A single-step approach to musical tempo
estimation using a convolutional neural network. In Proceedings of the 19th
International Society for Music Information Retrieval Conference (ISMIR), Paris,
France, Sept. 2018.
